ETS2 – Alexd Double Earnings V1 (1.33.x)

This mod requires ETS2 1.31; 1.32; 1.33.x
Double Earnings for Jobs(if you like to make money easier)
Supported game versions: ETS2 – (1.33.x)

Authors: alexdedu

You may also like...

Leave a Reply

Your email address will not be published.